Upgrade Interconnect Appliance

Upgrade Interconnect Appliance
Upgrade interconnect appliance.

Upgrades the appliance software to a newer version. This is an asynchronous operation.

Request
URI
POST
https://{server}/hybridity/api/interconnect/appliances/{applianceId}/upgrade
COPY
Path Parameters
string
applianceId
Required

Unique identifier of the appliance to upgrade

Query Parameters
string
force
Optional
Constraints: default: false

Force upgrade bypassing pre-checks (use with caution)

Possible values are : true, false,
string
local
Optional
Constraints: default: false

Upgrade only local appliance without affecting peer site

Possible values are : true, false,
string
method
Optional
Constraints: default: legacy

Upgrade method - legacy (downtime) or inService (zero downtime for HA)

Possible values are : legacy, inService,

Request Body

request payload.

applianceActionBody of type(s) application/json
Optional
Authentication
This operation uses the following authentication methods.
Responses
202

Accepted

Returns ApplicationActionSuccessResponse of type(s) application/json
{
    "data": {
        "interconnectTaskId": "string",
        "applianceId": "string"
    },
    "warnings": [
        {
            "message": "string"
        }
    ],
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ]
}
object
data
Optional

data

array of object
warnings
Optional

warnings

array of object
errors
Optional

errors


400

Bad Request

Returns ApplicationActionBadRequest of type(s) application/json
{
    "data": {
        "interconnectTaskId": "string",
        "applianceId": "string"
    },
    "warnings": [
        {
            "message": "string"
        }
    ],
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ]
}
object
data
Optional

data

array of object
warnings
Optional

warnings

array of object
errors
Optional

errors


401

Unauthorized

Operation doesn't return any data structure

403

Forbidden

Operation doesn't return any data structure

404

Not Found

Operation doesn't return any data structure

422

Unprocessable Entity

Returns ApplicationActionUnprocessibleEntity of type(s) application/json
{
    "data": {
        "interconnectTaskId": "string",
        "applianceId": "string"
    },
    "warnings": [
        {
            "message": "string"
        }
    ],
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ]
}
object
data
Optional

data

array of object
warnings
Optional

warnings

array of object
errors
Optional

errors


500

Internal Server Error

Returns InternalServerError of type(s) application/json
{
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ]
}
array of object
errors
Optional

errors


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '[{}]' https://{api_host}/hybridity/api/interconnect/appliances/{applianceId}/upgrade